/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package manager;

import javax.ejb.Remote;

/**
 *
 * @author Szilárd
 */
@Remote
public interface ThesisSessionBeanRemote {

    public void newThesis(entities.Thesis t);

    public java.util.List<entities.Thesis> allThesis();

    public java.util.List<entities.Thesis> findAktiv();

    public java.util.List<entities.Thesis> findBySemester(entities.Semester sem);

    public java.util.List<entities.Thesis> findBySemesterANDTeeacher(entities.Semester sem, entities.Users u);


    
}
